diff --git a/menu/drivers_display/menu_display_gl.c b/menu/drivers_display/menu_display_gl.c
index a684e07026..e2ababf800 100644
--- a/menu/drivers_display/menu_display_gl.c
+++ b/menu/drivers_display/menu_display_gl.c
@@ -26,7 +26,7 @@
 #include "../menu_driver.h"
 
 #if defined(__arm__) || defined(__aarch64__)
-static int scx0, scx1, scy0, scy1;
+static int scx0, scx1, scy0, scy1, scEnabled;
 
 /* This array contains problematic GPU drivers
  * that have problems when we draw outside the
@@ -48,6 +48,7 @@ static void scissor_set_rectangle(
    scx1         = x1 - dx;
    scy0         = y0 + dy;
    scy1         = y1 - dy;
+   scEnabled    = sc;
 }
 
 static bool scissor_is_outside_rectangle(
@@ -197,11 +198,14 @@ menu_display_gl_discard_draw_rectangle(menu_display_ctx_draw_t *draw,
    if ((video_info->width  != last_video_width) ||
        (video_info->height != last_video_height))
    {
-      scissor_set_rectangle(0,
-            video_info->width - 1,
-            0,
-            video_info->height - 1,
-            0);
+      if (!scEnabled)
+      {
+         scissor_set_rectangle(0,
+               video_info->width - 1,
+               0,
+               video_info->height - 1,
+               0);
+      }
 
       last_video_width  = video_info->width;
       last_video_height = video_info->height;
@@ -371,14 +375,6 @@ static void menu_display_gl_scissor_begin(
    glScissor(x, video_info->height - y - height, width, height);
    glEnable(GL_SCISSOR_TEST);
 #ifdef MALI_BUG
-   /* TODO/FIXME: If video width/height changes between
-    * a call of menu_display_gl_scissor_begin() and the
-    * next call of menu_display_gl_draw() (or if
-    * menu_display_gl_scissor_begin() is called before the
-    * first call of menu_display_gl_draw()), the scissor
-    * rectangle set here will be overwritten by the initialisation
-    * procedure inside menu_display_gl_discard_draw_rectangle(),
-    * causing the next frame to render glitched content */
    scissor_set_rectangle(x, x + width - 1, y, y + height - 1, 1);
 #endif
 }
